Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

# Class Garnishment3

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_09.Garnishment3

public class Garnishment3 extends Object

Java class for Garnishment3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Garnishment3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}GarnishmentType1"/>
             <element name="Grnshee" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PartyIdentification135" minOccurs="0"/>
             <element name="GrnshmtAdmstr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PartyIdentification135" minOccurs="0"/>
             <element name="RefNb" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max140Text" minOccurs="0"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ISODate" minOccurs="0"/>
             <element name="RmtdAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="FmlyMdclInsrncInd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}TrueFalseIndicator" minOccurs="0"/>
             <element name="MplyeeTermntnInd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}TrueFalseIndicator" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`dt`
`protected Boolean`
`fmlyMdclInsrncInd`
`protected PartyIdentification135`
`grnshee`
`protected PartyIdentification135`
`grnshmtAdmstr`
`protected Boolean`
`mplyeeTermntnInd`
`protected String`
`refNb`
`protected ActiveOrHistoricCurrencyAndAmount`
`rmtdAmt`
`protected GarnishmentType1`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`Garnishment3()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getDt()`
Gets the value of the dt property.
`PartyIdentification135`
`getGrnshee()`
Gets the value of the grnshee property.
`PartyIdentification135`
`getGrnshmtAdmstr()`
Gets the value of the grnshmtAdmstr property.
`String`
`getRefNb()`
Gets the value of the refNb property.
`ActiveOrHistoricCurrencyAndAmount`
`getRmtdAmt()`
Gets the value of the rmtdAmt property.
`GarnishmentType1`
`getTp()`
Gets the value of the tp property.
`Boolean`
`isFmlyMdclInsrncInd()`
Gets the value of the fmlyMdclInsrncInd property.
`Boolean`
`isMplyeeTermntnInd()`
Gets the value of the mplyeeTermntnInd property.
`void`
`setDt(XMLGregorianCalendar value)`
Sets the value of the dt property.
`void`
`setFmlyMdclInsrncInd(Boolean value)`
Sets the value of the fmlyMdclInsrncInd property.
`void`
`setGrnshee(PartyIdentification135 value)`
Sets the value of the grnshee property.
`void`
`setGrnshmtAdmstr(PartyIdentification135 value)`
Sets the value of the grnshmtAdmstr property.
`void`
`setMplyeeTermntnInd(Boolean value)`
Sets the value of the mplyeeTermntnInd property.
`void`
`setRefNb(String value)`
Sets the value of the refNb property.
`void`
`setRmtdAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the rmtdAmt property.
`void`
`setTp(GarnishmentType1 value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected GarnishmentType1 tp

### grnshee

protected PartyIdentification135 grnshee

### grnshmtAdmstr

protected PartyIdentification135 grnshmtAdmstr

### refNb

protected String refNb

### dt

protected XMLGregorianCalendar dt

### rmtdAmt

protected ActiveOrHistoricCurrencyAndAmount rmtdAmt

### fmlyMdclInsrncInd

protected Boolean fmlyMdclInsrncInd

### mplyeeTermntnInd

protected Boolean mplyeeTermntnInd

## Constructor Details

### Garnishment3

public Garnishment3()

## Method Details

### getTp

public GarnishmentType1 getTp()
Gets the value of the tp property.

Returns:
  possible object is `GarnishmentType1`

### setTp

public void setTp(GarnishmentType1 value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `GarnishmentType1`

### getGrnshee

public PartyIdentification135 getGrnshee()
Gets the value of the grnshee property.

Returns:
  possible object is `PartyIdentification135`

### setGrnshee

public void setGrnshee(PartyIdentification135 value)
Sets the value of the grnshee property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getGrnshmtAdmstr

public PartyIdentification135 getGrnshmtAdmstr()
Gets the value of the grnshmtAdmstr property.

Returns:
  possible object is `PartyIdentification135`

### setGrnshmtAdmstr

public void setGrnshmtAdmstr(PartyIdentification135 value)
Sets the value of the grnshmtAdmstr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getRefNb

public String getRefNb()
Gets the value of the refNb property.

Returns:
  possible object is `String`

### setRefNb

public void setRefNb(String value)
Sets the value of the refNb property.

Parameters:
  `value` - allowed object is `String`

### getDt

public XMLGregorianCalendar getDt()
Gets the value of the dt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDt

public void setDt(XMLGregorianCalendar value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getRmtdAmt

public ActiveOrHistoricCurrencyAndAmount getRmtdAmt()
Gets the value of the rmtdAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setRmtdAmt

public void setRmtdAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the rmtdAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### isFmlyMdclInsrncInd

public Boolean isFmlyMdclInsrncInd()
Gets the value of the fmlyMdclInsrncInd property.

Returns:
  possible object is `Boolean`

### setFmlyMdclInsrncInd

public void setFmlyMdclInsrncInd(Boolean value)
Sets the value of the fmlyMdclInsrncInd property.

Parameters:
  `value` - allowed object is `Boolean`

### isMplyeeTermntnInd

public Boolean isMplyeeTermntnInd()
Gets the value of the mplyeeTermntnInd property.

Returns:
  possible object is `Boolean`

### setMplyeeTermntnInd

public void setMplyeeTermntnInd(Boolean value)
Sets the value of the mplyeeTermntnInd property.

Parameters:
  `value` - allowed object is `Boolean`